Bug 978078 - SELinux is preventing /usr/bin/flareget from 'write' accesses on the file .flareget-lang. [NEEDINFO]
SELinux is preventing /usr/bin/flareget from 'write' accesses on the file .fl...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:4f8beffabaaf12fb625e4e6ef56...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 19:51 EDT by dimitrifellous
Modified: 2013-10-25 09:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:18:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (dimitri.fellous)


Attachments (Terms of Use)

  None (edit)
Description dimitrifellous 2013-06-25 19:51:05 EDT
Description of problem:
Hi!

Thanks for your help!

Dimitri

SELinux is preventing /usr/bin/flareget from 'write' accesses on the file .flareget-lang.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that flareget should be allowed write access on the .flareget-lang file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep flareget /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                .flareget-lang [ file ]
Source                        flareget
Source Path                   /usr/bin/flareget
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           flareget-1.4-9.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-66.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.6.10-4.fc18.x86_64 #1 SMP Tue
                              Dec 11 18:01:27 UTC 2012 x86_64 x86_64
Alert Count                   45
First Seen                    2013-06-26 01:13:37 CEST
Last Seen                     2013-06-26 01:42:20 CEST
Local ID                      b89dcbf2-cfc0-4be6-b633-4f9c4faf801d

Raw Audit Messages
type=AVC msg=audit(1372203740.192:1155): avc:  denied  { write } for  pid=4199 comm="flareget" name=".flareget-lang" dev="dm-2" ino=3932395 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1372203740.192:1155): arch=x86_64 syscall=open success=no exit=EACCES a0=3175bc8 a1=80241 a2=1b6 a3=2 items=0 ppid=1 pid=4199 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=flareget exe=/usr/bin/flareget subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: flareget,mozilla_plugin_t,user_home_t,file,write

audit2allow
audit2allow -R

Additional info:
hashmarkername: setroubleshoot
kernel:         3.6.10-4.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-06-26 11:09:48 EDT
Where is .flareget-lang exactly located? Where does it come from?

Note You need to log in before you can comment on or make changes to this bug.